tools/gnulib: update to branch stable-202401
[openwrt/staging/stintel.git] / tools / gnulib / patches / 000-bootstrap.patch
1 --- a/build-aux/bootstrap
2 +++ b/build-aux/bootstrap
3 @@ -237,14 +237,14 @@ test -r "$conffile" && . "$conffile"
4
5 check_exists() {
6 if test "$1" = "--verbose"; then
7 - ($2 --version </dev/null) >/dev/null 2>&1
8 + ($2 $3 $4 --version </dev/null) >/dev/null 2>&1
9 if test $? -ge 126; then
10 # If not found, run with diagnostics as one may be
11 # presented with env variables to set to find the right version
12 - ($2 --version </dev/null)
13 + ($2 $3 $4 --version </dev/null)
14 fi
15 else
16 - ($1 --version </dev/null) >/dev/null 2>&1
17 + ($@ --version </dev/null) >/dev/null 2>&1
18 fi
19
20 test $? -lt 126
21 @@ -309,7 +309,7 @@ p
22 q'
23
24 get_version() {
25 - app=$1
26 + app="$@"
27
28 $app --version >/dev/null 2>&1 || { $app --version; return 1; }
29
30 @@ -366,13 +366,13 @@ check_versions() {
31 if [ "$req_ver" = "-" ]; then
32 # Merely require app to exist; not all prereq apps are well-behaved
33 # so we have to rely on $? rather than get_version.
34 - if ! check_exists --verbose $app; then
35 + if ! check_exists --verbose "$app"; then
36 warn_ "Error: '$app' not found"
37 ret=1
38 fi
39 else
40 # Require app to produce a new enough version string.
41 - inst_ver=$(get_version $app)
42 + inst_ver=$(get_version "$app")
43 if [ ! "$inst_ver" ]; then
44 warn_ "Error: '$app' not found"
45 ret=1
46 @@ -1157,7 +1157,7 @@ autogen()
47 # two just-pre-run programs.
48
49 # Import from gettext.
50 - with_gettext=yes
51 + with_gettext=no
52 grep '^[ ]*AM_GNU_GETTEXT_VERSION(' configure.ac >/dev/null || \
53 with_gettext=no
54